Upstream information

CVE-2014-0878 at MITRE

Description

The IBMSecureRandom component in the IBMJCE and IBMSecureRandom cryptographic providers in IBM SDK Java Technology Edition 5.0 before Service Refresh 16 FP6, 6 before Service Refresh 16, 6.0.1 before Service Refresh 8, 7 before Service Refresh 7, and 7R1 before Service Refresh 1 makes it easier for context-dependent attackers to defeat cryptographic protection mechanisms by predicting the random number generator's output.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entries: 877429 [RESOLVED / FIXED], 877430 [VERIFIED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Legacy 12
  • java-1_6_0-ibm >= 1.6.0_sr16.1-5.9
  • java-1_6_0-ibm-fonts >= 1.6.0_sr16.1-5.9
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr16.1-5.9
  • java-1_6_0-ibm-plugin >= 1.6.0_sr16.1-5.9
SUSE Linux Enterprise Server 11 SP1-LTSS
  • java-1_6_0-ibm >= 1.6.0_sr16.0-0.3.1
  • java-1_6_0-ibm-alsa >= 1.6.0_sr16.0-0.3.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr16.0-0.3.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr16.0-0.3.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr16.0-0.3.1
Patchnames:
slessp1-java-1_6_0-ibm
SUSE Linux Enterprise Server 11 SP2-LTSS
  • java-1_6_0-ibm >= 1.6.0_sr16.0-0.3.1
  • java-1_6_0-ibm-alsa >= 1.6.0_sr16.0-0.3.1
  • java-1_6_0-ibm-devel >= 1.6.0_sr16.0-0.3.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr16.0-0.3.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr16.0-0.3.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr16.0-0.3.1
  • java-1_7_0-ibm >= 1.7.0_sr7.0-0.5.1
  • java-1_7_0-ibm-alsa >= 1.7.0_sr7.0-0.5.1
  • java-1_7_0-ibm-devel >= 1.7.0_sr7.0-0.5.1
  • java-1_7_0-ibm-jdbc >= 1.7.0_sr7.0-0.5.1
  • java-1_7_0-ibm-plugin >= 1.7.0_sr7.0-0.5.1
Patchnames:
slessp2-java-1_6_0-ibm
slessp2-java-1_7_0-ibm
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • java-1_6_0-ibm >= 1.6.0_sr16.0-0.3.1
  • java-1_6_0-ibm-alsa >= 1.6.0_sr16.2-0.3.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr16.0-0.3.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr16.0-0.3.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr16.2-0.3.1
  • java-1_7_0-ibm >= 1.7.0_sr7.0-0.5.1
  • java-1_7_0-ibm-alsa >= 1.7.0_sr8.0-0.5.1
  • java-1_7_0-ibm-jdbc >= 1.7.0_sr7.0-0.5.1
  • java-1_7_0-ibm-plugin >= 1.7.0_sr8.0-0.5.1
Patchnames:
slessp3-java-1_6_0-ibm
slessp3-java-1_7_0-ibm
SUSE Linux Enterprise Server for VMWare 11 SP3
  • java-1_6_0-ibm >= 1.6.0_sr16.0-0.3.1
  • java-1_6_0-ibm-alsa >= 1.6.0_sr16.2-0.3.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr16.0-0.3.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr16.0-0.3.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr16.0-0.3.1
  • java-1_7_0-ibm >= 1.7.0_sr7.0-0.5.1
  • java-1_7_0-ibm-alsa >= 1.7.0_sr7.0-0.5.1
  • java-1_7_0-ibm-jdbc >= 1.7.0_sr7.0-0.5.1
  • java-1_7_0-ibm-plugin >= 1.7.0_sr7.0-0.5.1
Patchnames:
slessp3-java-1_6_0-ibm
slessp3-java-1_7_0-ibm
SUSE Linux Enterprise Software Development Kit 11 SP3
  • java-1_6_0-ibm >= 1.6.0_sr16.2-0.3.1
  • java-1_6_0-ibm-devel >= 1.6.0_sr16.0-0.3.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr16.2-0.3.1
  • java-1_7_0-ibm-devel >= 1.7.0_sr7.0-0.5.1
Patchnames:
sdksp3-java-1_6_0-ibm
sdksp3-java-1_7_0-ibm
SUSE Manager 1.7
  • java-1_6_0-ibm >= 1.6.0_sr16.0-0.3.1
  • java-1_6_0-ibm-devel >= 1.6.0_sr16.0-0.3.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr16.0-0.3.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr16.0-0.3.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr16.0-0.3.1
Patchnames:
sleman17sp2-java-1_6_0-ibm


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLES-10-SP3 java-1_6_0-ibm Released
SLES-10-SP4 java-1_6_0-ibm Released
SLES_LTSS-10-SP4 java-1_6_0-ibm Released
SUSE Linux Enterprise Module for Legacy 12 java-1_6_0-ibm Already fixed
SUSE Linux Enterprise Point of Service 11 SP3 java-1_6_0-ibm In progress
SUSE Linux Enterprise Point of Service 11 SP3 java-1_7_0-ibm In progress
SUSE Linux Enterprise Server 11 SP1 java-1_6_0-ibm Released
SUSE Linux Enterprise Server 11 SP1 LTSS java-1_6_0-ibm Released
SUSE Linux Enterprise Server 11 SP2 java-1_6_0-ibm Released
SUSE Linux Enterprise Server 11 SP2 LTSS java-1_6_0-ibm Released
SUSE Linux Enterprise Server 11 SP2 for VMware java-1_6_0-ibm Released
SUSE Linux Enterprise Server 11 SP3 java-1_6_0-ibm Released
SUSE Linux Enterprise Server 11 SP3 for VMware java-1_6_0-ibm Released
SUSE Linux Enterprise Server for SAP Business All-in-One 11 SP1 java-1_6_0-ibm Released
SUSE Linux Enterprise Software Development Kit 11 SP1 java-1_6_0-ibm Released
SUSE Linux Enterprise Software Development Kit 11 SP2 java-1_6_0-ibm Released
SUSE Linux Enterprise Software Development Kit 11 SP3 java-1_6_0-ibm Released